## NAME

v.in.gpsbabel - Download Waypoints, Routes, and Tracks from a GPS receiver or a GPS ascii file into a vector map.

## KEYWORDS

vector, import, GPS

## SYNOPSIS

v.in.gpsbabel
v.in.gpsbabel help
v.in.gpsbabel [-vwrtpk] input=string [output=string] format=string [proj=string] [--overwrite]

### Flags:

-v
  verbose mode
-w
  upload Waypoints from GPS
-r
  upload Routes from GPS
-t
  upload Track from GPS
-p
  force vertices of track or route data as points
-k
  do not attempt projection transform from WGS84
--overwrite
  Force overwrite of output files

### Parameters:

input=string
  device or file used to import data
output=string
  name for new vector map (omit for display to stdout)
format=string
  format of GPS input data (use gpsbabel supported formats)
proj=string
  projection of input data (use PROJ.4 options), if not set the input is assumed to be Lat/Lon WGS84

## DESCRIPTION

v.in.gpsbabel allows the user to import waypoint, route, and track data from a locally connected GPS receiver or a text file containing GPS data of many common formats. Translation is done via the gpsbabel program.

This software is not intended as a primary means of navigation.

## EXAMPLES

Import waypoint data from a Garmin GPS connected at /dev/ttyS0 and save to a GRASS vector file named waypoints.

    v.in.gpsbabel -w input=/dev/ttyS0 format=garmin output=waypoints

Import track data from a GPX text file and save to a GRASS vector file named tracks.

    v.in.gpsbabel -t input=gpslog.gpx format=gpx output=tracks

Import route data as a series of points from a Garmin GPS connected at /dev/gps and save to a GRASS vector file named routePoints.

    v.in.gpsbabel -r -p file=/dev/gps format=garmin output=routePoints

## NOTES

v.in.gpsbabel automatically reprojects data using the projection settings of the current location. The default input data projection is lat/lon WGS84. If your GPS outputs data using another projection or map datum, you may include the PROJ.4 parameters defining your projection in the proj option and v.in.gpsbabel will reproject your data accordingly. Great care must be taken to get these parameters correct! The automatic transform may be skipped by using the -k flag in which case the data will be imported unprojected, as it appears in the input.

Route and Track data may be uploaded as a series of points by using the -p flag, otherwise they will be imported as lines. You can run v.in.gpsbabel multiple times and merge the line and point vectors with the v.patch command if you want, but take care when merging dissimilar attribute tables.

## SEE ALSO

db.execute
v.in.ascii
v.in.garmin
v.db.connect
v.patch
gpsbabel from gpsbabel.org
cs2cs from PROJ.4

## AUTHORS

Claudio Porta and Lucio Davide Spano, students of Computer Science at University of Pisa (Italy).
Commission from Faunalia Pontedera (PI)
Based on v.in.garmin for GRASS 6.0 by Hamish Bowman
and v.in.garmin.sh for GRASS 5 by Andreas Lange

## BUGS

Please send any bug reports to spano@cli.di.unipi.it

Last changed: $Date: 2006/02/08 15:14:40 $

Main index - vector index - Full index